<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:orientation="vertical">

    <include layout="@layout/common_toolbar" />

    <androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:fillViewport="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white"
            android:orientation="vertical">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="通行证编号"
                    android:textColor="@color/black"></TextView>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="FG-"
                    android:textColor="@color/black"></TextView>

                <EditText
                    android:id="@+id/tvTxbh"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请输入通行证编号"
                    android:inputType="number"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:textSize="14dp"></EditText>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"
                android:visibility="gone"></View>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="收费类型"
                    android:textColor="@color/black"></TextView>

                <TextView
                    android:id="@+id/tvSflx"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:drawableRight="@drawable/right_black"
                    android:gravity="right"
                    android:hint="请选择是否收费"
                    android:textColor="@color/black"
                    android:textSize="14dp"></TextView>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"
                android:visibility="gone"></View>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="通行证开始时间"
                    android:textColor="@color/black"></TextView>

                <TextView
                    android:id="@+id/tvSTime"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请选择开始时间"
                    android:textColor="@color/black"
                    android:textSize="14dp"></TextView>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"
                android:visibility="gone"></View>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="通行证结束时间"
                    android:textColor="@color/black"></TextView>

                <TextView
                    android:id="@+id/tvETime"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请选择结束时间"
                    android:textColor="@color/black"
                    android:textSize="14dp"></TextView>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"></View>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="车牌号"
                    android:textColor="@color/black"></TextView>

                <EditText
                    android:id="@+id/etCarNum"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请输入车牌号"
                    android:maxLength="8"
                    android:paddingRight="6dp"
                    android:textSize="14dp"></EditText>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"></View>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="司机姓名"
                    android:textColor="@color/black"></TextView>

                <EditText
                    android:id="@+id/etName"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请输入司机姓名"
                    android:inputType="text"
                    android:maxLines="1"
                    android:paddingRight="6dp"
                    android:singleLine="true"
                    android:textSize="14dp"></EditText>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"></View>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="司机身份证号"
                    android:textColor="@color/black"></TextView>

                <EditText
                    android:id="@+id/etCardId"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:digits="0123456789xyzXYZ"
                    android:gravity="right"
                    android:hint="请输入司机身份证号"
                    android:inputType="number"
                    android:maxLength="18"
                    android:maxLines="1"
                    android:paddingRight="6dp"
                    android:singleLine="true"
                    android:textSize="14dp"></EditText>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"></View>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="手机号"
                    android:textColor="@color/black"></TextView>


                <EditText
                    android:id="@+id/etPhone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请输入手机号"
                    android:inputType="phone"
                    android:maxLength="11"
                    android:paddingRight="6dp"
                    android:textSize="14dp"></EditText>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"></View>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="物品种类"
                    android:textColor="@color/black"></TextView>

                <EditText
                    android:id="@+id/etWpzl"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请输入物品种类"
                    android:maxLines="1"
                    android:paddingRight="6dp"
                    android:singleLine="true"
                    android:textSize="14dp"></EditText>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"></View>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="运输吨数"
                    android:textColor="@color/black"></TextView>

                <EditText
                    android:id="@+id/etDs"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请输入运输吨数"
                    android:inputType="numberDecimal"
                    android:paddingRight="6dp"
                    android:textSize="14dp"></EditText>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"></View>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="起点"
                    android:textColor="@color/black"></TextView>

                <EditText
                    android:id="@+id/etQd"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请输入起点"
                    android:maxLines="1"
                    android:paddingRight="6dp"
                    android:singleLine="true"
                    android:textSize="14dp"></EditText>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"></View>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="终点"
                    android:textColor="@color/black"></TextView>

                <EditText
                    android:id="@+id/etZd"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请输入运终点"
                    android:maxLines="1"
                    android:paddingRight="6dp"
                    android:singleLine="true"
                    android:textSize="14dp"></EditText>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"></View>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="开始时间"
                    android:textColor="@color/black"></TextView>

                <TextView
                    android:id="@+id/tvStartTime"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请选择开始时间"
                    android:paddingRight="6dp"
                    android:textColor="@color/black"
                    android:textSize="14dp"></TextView>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"></View>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="6dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="到达时间"
                    android:textColor="@color/black"></TextView>

                <TextView
                    android:id="@+id/tvEndTime"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请选择到达时间"
                    android:paddingRight="6dp"
                    android:textColor="@color/black"
                    android:textSize="14dp"></TextView>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"></View>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:padding="6dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="备注"
                    android:textColor="@color/black"></TextView>

                <EditText
                    android:id="@+id/tvBz"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:background="@null"
                    android:gravity="top"
                    android:hint="备注"
                    android:lines="4"
                    android:padding="6dp"
                    android:paddingRight="6dp"
                    android:textSize="14dp"></EditText>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:background="@color/color_line"></View>


            <TextView
                android:id="@+id/tvSub"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginLeft="20dp"
                android:layout_marginTop="20dp"
                android:layout_marginRight="20dp"
                android:layout_marginBottom="20dp"
                android:background="@drawable/shape_blue_bg8"
                android:gravity="center"
                android:text="提交"
                android:textColor="@color/white"></TextView>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <LinearLayout
        android:id="@+id/keyboardParent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical" />
</LinearLayout>